The minimum requirements for S-Net Mobile are as follows:

  • An iPhone, iPad or iPodTouch (minimum version iOS12).
  • An Android Smartphone or Tablet, minimum version 6. The on-screen display of S-Net Mobile content can vary according to the size and resolution of the screen.
  • An active S-Net agreement. If you have not yet subscribed to S-Net, you can contact any Spuerkeess branch or you can fill in the application form by clicking the Get S-Net button.